Bug 474793 - (CVE-2008-5345) CVE-2008-5345 JRE allows unauthorized file access and connections to localhost
CVE-2008-5345 JRE allows unauthorized file access and connections to localhost
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=sun,public=20081204,reported=2...
: Security
Depends On: 479814 479815 479822 479823 493287 493288 493289 529660 529661
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-05 07:17 EST by Marc Schoenefeld
Modified: 2013-04-11 16:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 16:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-12-05 07:17:01 EST
Name: CVE-2008-5345
Status: Candidate
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5345
Reference: SUNALERT:246387
Reference: URL:http://sunsolve.sun.com/search/document.do?assetkey=1-26-246387-1

Unspecified vulnerability in Java Runtime Environment (JRE) with Sun
JDK and JRE 6 Update 10 and earlier; JDK and JRE 5.0 Update 16 and
earlier; SDK and JRE 1.4.2_18 and earlier; and SDK and JRE 1.3.1_23
and earlier allows code that is loaded from a local filesystem to read
arbitrary files and make unauthorized connections to localhost via
unknown vectors.
Comment 1 Jan Lieskovsky 2008-12-08 04:11:33 EST
Another mention of this issue:

http://secunia.com/advisories/32991/
Comment 4 Charlie Brady 2009-03-13 16:35:30 EDT
Red Hat advisory RHSA-2009-0015 says that this is one of the bugs fixed in the release of java-1.6.0-ibm released as errata.

https://rhn.redhat.com/errata/RHSA-2009-0015.html

Yet the bug is open, and I don't see any indication of the status of java-1.6.0-openjdk. Is it vulnerable?
Comment 6 errata-xmlrpc 2009-04-23 14:45:04 EDT
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0445 https://rhn.redhat.com/errata/RHSA-2009-0445.html
Comment 8 errata-xmlrpc 2009-05-07 07:46:02 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html
Comment 9 errata-xmlrpc 2009-05-07 08:11:36 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.2

Via RHSA-2009:0466 https://rhn.redhat.com/errata/RHSA-2009-0466.html

Note You need to log in before you can comment on or make changes to this bug.